package com.ruoyi.device.mqtt.domain.encoder;

import com.ruoyi.device.mqtt.domain.BaseJsonBody;

/**
 * TSB 产测下发应答
 *
 * @author lwm
 */
public class DevicePtResponse extends BaseJsonBody
{
    /** 调试宝 IMEI，保证使用人唯一 */
    private String imei;

    /** 设备配置（可选） */
    private DeviceConfig deviceConfig;

    public DevicePtResponse()
    {
        super();
    }

    public String getImei()
    {
        return imei;
    }

    public void setImei(String imei)
    {
        this.imei = imei;
    }

    public DeviceConfig getDeviceConfig()
    {
        return deviceConfig;
    }

    public void setDeviceConfig(DeviceConfig deviceConfig)
    {
        this.deviceConfig = deviceConfig;
    }

    /**
     * 产测应答中的设备配置（均为可选）
     */
    public static class DeviceConfig
    {
        /** 一级设备类型 */
        private String deviceType;

        /** 一级设备 SN */
        private Long deviceSn;

        /** 设备生产日期 */
        private String deviceProduceDate;

        public String getDeviceType()
        {
            return deviceType;
        }

        public void setDeviceType(String deviceType)
        {
            this.deviceType = deviceType;
        }

        public Long getDeviceSn()
        {
            return deviceSn;
        }

        public void setDeviceSn(Long deviceSn)
        {
            this.deviceSn = deviceSn;
        }

        public String getDeviceProduceDate()
        {
            return deviceProduceDate;
        }

        public void setDeviceProduceDate(String deviceProduceDate)
        {
            this.deviceProduceDate = deviceProduceDate;
        }
    }
}
